# Class ExifInteroperabilityTagSet

java.lang.Object
javax.imageio.plugins.tiff.TIFFTagSet
javax.imageio.plugins.tiff.ExifInteroperabilityTagSet

public final class ExifInteroperabilityTagSet extends TIFFTagSet
A class representing the tags found in an Exif Interoperability IFD.

Since:
  9
See Also:
  - `ExifTIFFTagSet`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `INTEROPERABILITY_INDEX_R98`
  A value to be used with the "InteroperabilityIndex" tag.
  `static final String`
  `INTEROPERABILITY_INDEX_THM`
  A value to be used with the "InteroperabilityIndex" tag.
  `static final int`
  `TAG_INTEROPERABILITY_INDEX`
  A tag indicating the identification of the Interoperability rule (type ASCII).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ExifInteroperabilityTagSet`
  `getInstance()`
  Returns the shared instance of `ExifInteroperabilityTagSet`.

  ### Methods declared in class TIFFTagSet

  `getTag, getTag, getTagNames, getTagNumbers`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TAG_INTEROPERABILITY_INDEX

    public static final int TAG_INTEROPERABILITY_INDEX
    A tag indicating the identification of the Interoperability rule (type ASCII).
    See Also:
      - `INTEROPERABILITY_INDEX_R98`
      - `INTEROPERABILITY_INDEX_THM`
      - Constant Field Values

  - ### INTEROPERABILITY_INDEX_R98

    public static final String INTEROPERABILITY_INDEX_R98
    A value to be used with the "InteroperabilityIndex" tag. Indicates a file conforming to the R98 file specification of Recommended Exif Interoperability Rules (ExifR98) or to the DCF basic file stipulated by the Design Rule for Camera File System (type ASCII).
    See Also:
      - `TAG_INTEROPERABILITY_INDEX`
      - Constant Field Values

  - ### INTEROPERABILITY_INDEX_THM

    public static final String INTEROPERABILITY_INDEX_THM
    A value to be used with the "InteroperabilityIndex" tag. Indicates a file conforming to the DCF thumbnail file stipulated by the Design rule for Camera File System (type ASCII).
    See Also:
      - `TAG_INTEROPERABILITY_INDEX`
      - Constant Field Values

- ## Method Details

  - ### getInstance

    public static ExifInteroperabilityTagSet getInstance()
    Returns the shared instance of `ExifInteroperabilityTagSet`.
    Returns:
      the `ExifInteroperabilityTagSet` instance.